//
//  NSDirectoryServices.h
//
//

/*
 * Extreme Mac OS X Programming
 *
 * Using Google Web APIs in a Mac OS X Application
 * http://javworld.com/extreme/GoogleAPI.html
 *
 * Copyright © 2004 John A. Vink
 *
 */

#import <DirectoryService/DirServicesTypes.h>

@interface NSDirectoryServices : NSObject
{
	tDirReference			_dirRef;
	NSArray*				_nodes;
	tDirNodeReference		_nodeRef;
}
- (NSArray*) getNodes;
- (NSArray*) getRecordsOfType:(NSString*)recordType fromNode:(NSString*)node;
- (NSDictionary*) getRecord:(NSString*)recordName andType:(NSString*)recordType fromNode:(NSString*)node;

@end
